import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
import type { RegisteredEnvironment } from '../config';
export interface AllocateRequest {
    readonly pool: string;
    readonly requester: string;
}
export interface Credentials {
    readonly accessKeyId: string;
    readonly secretAccessKey: string;
    readonly sessionToken: string;
}
export interface AllocateResponse {
    readonly id: string;
    readonly environment: RegisteredEnvironment;
}
export declare function handler(event: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
